IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECEIPT_RECONCILIA_TASK')
CREATE TABLE T_RECEIPT_RECONCILIA_TASK
(
    FID             BIGINT                   NOT NULL PRIMARY KEY,
    FBILLNO         VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FBILLSTATUS     VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID      BIGINT                   NULL,
    FMODIFIERID     BIGINT                   NULL,
    FAUDITORID      BIGINT                   NULL,
    FAUDITDATE      DATETIME                 NULL,
    FMODIFYTIME     DATETIME                 NULL,
    FCREATETIME     DATETIME                 NULL,
    FBANK_VERSION   BIGINT                   NULL,
    FBANK_LOGIN     BIGINT                   NULL,
    FACC_NO         BIGINT                   NULL,
    FEXP_MSG        VARCHAR(500) DEFAULT ' ' NOT NULL,
    FEXP_MSG_TAG    NCLOB                 NULL,
    FUPLOAD_NUM     BIGINT                   NULL,
    FREDO           BIGINT                   NULL,
    FTRANS_DATE     DATETIME                 NULL,
    FCOMPLETE_TIME  DATETIME                 NULL,
    FSTATUS         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FUPLOAD_FLAG    VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCUSTOM_ID      VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FRECONCILIA_NUM BIGINT                   NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RECONCILIATION_DETAIL')
CREATE TABLE T_RECONCILIATION_DETAIL
(
    FID                 BIGINT                   NOT NULL
        PRIMARY KEY,
    FBILLNO             VARCHAR(30)  DEFAULT ' ' NOT NULL,
    FBILLSTATUS         VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCREATORID          BIGINT                   NULL,
    FMODIFIERID         BIGINT                   NULL,
    FAUDITORID          BIGINT                   NULL,
    FAUDITDATE          DATETIME                 NULL,
    FMODIFYTIME         DATETIME                 NULL,
    FCREATETIME         DATETIME                 NULL,
    FORGID              BIGINT                   NULL,
    FBANK_VERSION       BIGINT                   NULL,
    FBANK_LOGIN         BIGINT                   NULL,
    FACC_NO             BIGINT                   NULL,
    FBANK_FILE_PATH     VARCHAR(400) DEFAULT ' ' NOT NULL,
    FFILE_NAME          VARCHAR(400) DEFAULT ' ' NOT NULL,
    FUPLOAD_FILE_NAME   VARCHAR(400) DEFAULT ' ' NOT NULL,
    FFILE_LINK          VARCHAR(400) DEFAULT ' ' NOT NULL,
    FCUSTOM_ID          VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FCOMPLETE_TIME      DATETIME                 NULL,
    FREFID              VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FUPLOAD_FLAG        VARCHAR(50)  DEFAULT ' ' NOT NULL,
    FUPLOAD_TIME        DATETIME                 NULL,
    FUPLOAD_REDO        BIGINT                   NULL,
    FUPLOAD_EXP_MSG     VARCHAR(255) DEFAULT ' ' NOT NULL,
    FUPLOAD_EXP_MSG_TAG NCLOB                 NULL,
    FEXP_MSG            VARCHAR(400) DEFAULT ' ' NOT NULL,
    FTRANS_DATE         DATETIME                 NULL,
    FSTATUS             VARCHAR(50)  DEFAULT ' ' NOT NULL
);


